function [compressed_data] = compress_data(data,DN)
    for i = 1:max(size(data))
        compressed_data(i).Time = data(i).logsout{1}.Values.Time(1:DN:end);
        for j = 1:numElements(data(i).logsout)
            %disp(num2str([i j]))
            compressed_data(i).logsout{j}.Name = data(i).logsout{j}.Name;
            compressed_data(i).logsout{j}.Values.Data = data(i).logsout{j}.Values.Data(1:DN:end,:);
        end
    end
end